package cn.bunny.service.service.impl;

import cn.bunny.entity.system.user.User;
import cn.bunny.service.mapper.UserMapper;
import jakarta.transaction.Transactional;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.List;

@SpringBootTest
class UserServiceImplTest {
    @Autowired
    private UserMapper userMapper;

    // 添加用户
    @Test
    void addUser() {
        User user = new User();
        user.setUname("啊啊啊");
        userMapper.insert(user);
    }

    // 事务使用
    @Test
    @Transactional
    void addTransactional() {
        User user = new User();
        user.setUname("哈哈哈");
        userMapper.insert(user);
    }

    @Test
    void selectUseList() {
        List<User> users = userMapper.selectList(null);
        users.forEach(System.out::println);
    }
}